ArrayQueryParameter(name, array_type, values)Named / positional query parameters for array values.
Parameters |
|
|---|---|
| Name | Description |
name |
Optional[str]
Parameter name, used via |
array_type |
Union[str, ScalarQueryParameterType, StructQueryParameterType]
The type of array elements. If given as a string, it must be one of |
values |
List[appropriate type]
The parameter array values. |
Methods
from_api_repr
from_api_repr(resource: dict) -> google.cloud.bigquery.query.ArrayQueryParameterFactory: construct parameter from JSON resource.
| Parameter | |
|---|---|
| Name | Description |
resource |
Dict
JSON mapping of parameter |
| Returns | |
|---|---|
| Type | Description |
google.cloud.bigquery.query.ArrayQueryParameter |
Instance |
positional
positional(
array_type: str, values: list
) -> google.cloud.bigquery.query.ArrayQueryParameterFactory for positional parameters.
| Parameters | |
|---|---|
| Name | Description |
array_type |
Union[str, ScalarQueryParameterType, StructQueryParameterType]
The type of array elements. If given as a string, it must be one of |
values |
List[appropriate type]
The parameter array values. |
| Returns | |
|---|---|
| Type | Description |
google.cloud.bigquery.query.ArrayQueryParameter |
Instance without name |
to_api_repr
to_api_repr() -> dictConstruct JSON API representation for the parameter.
| Returns | |
|---|---|
| Type | Description |
Dict |
JSON mapping |